## org.eclipse.datatools.sqltools.sqleditor.internal.sql
Class BestMatchHover

    java.lang.Object
      org.eclipse.datatools.sqltools.sqleditor.sql.AbstractSQLEditorTextHover
          org.eclipse.datatools.sqltools.sqleditor.internal.sql.BestMatchHover

All Implemented Interfaces:
  org.eclipse.jface.text.information.IInformationProviderExtension2, org.eclipse.jface.text.ITextHover, org.eclipse.jface.text.ITextHoverExtension

    public class BestMatchHover

extends AbstractSQLEditorTextHover
implements org.eclipse.jface.text.ITextHover, org.eclipse.jface.text.ITextHoverExtension, org.eclipse.jface.text.information.IInformationProviderExtension2

This is a hover manager which chooses the best matched hover.

Author:
  Hui Cao

Constructor Summary
`BestMatchHover(org.eclipse.ui.IEditorPart editor)`

Method Summary
`org.eclipse.jface.text.IInformationControlCreator` `getHoverControlCreator()`
`java.lang.String` `getHoverInfo(org.eclipse.jface.text.ITextViewer textViewer, org.eclipse.jface.text.IRegion hoverRegion)`
`org.eclipse.jface.text.IInformationControlCreator` `getInformationPresenterControlCreator()`
`void` `setEditor(org.eclipse.ui.IEditorPart editor)` Associates a SQL editor with this hover.

Methods inherited from class org.eclipse.datatools.sqltools.sqleditor.sql.AbstractSQLEditorTextHover
`getHoverRegion`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.text.ITextHover
`getHoverRegion`

Constructor Detail

### BestMatchHover

    public BestMatchHover(org.eclipse.ui.IEditorPart editor)

Method Detail

### setEditor

    public void setEditor(org.eclipse.ui.IEditorPart editor)

  Description copied from class: `AbstractSQLEditorTextHover`
  Associates a SQL editor with this hover. Subclass can cache it for later use.

  Specified by:
    `setEditor` in class `AbstractSQLEditorTextHover`

### getHoverInfo

    public java.lang.String getHoverInfo(org.eclipse.jface.text.ITextViewer textViewer,
                                         org.eclipse.jface.text.IRegion hoverRegion)

  Specified by:
    `getHoverInfo` in interface `org.eclipse.jface.text.ITextHover`

### getHoverControlCreator

    public org.eclipse.jface.text.IInformationControlCreator getHoverControlCreator()

  Specified by:
    `getHoverControlCreator` in interface `org.eclipse.jface.text.ITextHoverExtension`
  Overrides:
    `getHoverControlCreator` in class `AbstractSQLEditorTextHover`

### getInformationPresenterControlCreator

    public org.eclipse.jface.text.IInformationControlCreator getInformationPresenterControlCreator()

  Specified by:
    `getInformationPresenterControlCreator` in interface `org.eclipse.jface.text.information.IInformationProviderExtension2`